Eina_Debug_Packet_Header Struct Reference
Eina_Debug

Header of Eina Debug packet. More...

`#include <eina_debug.h>`

## Data Fields

unsigned int | size
| Packet size including this element.
int | cid
int | opcode
| Opcode of the packet.

## Detailed Description

Header of Eina Debug packet.

## Field Documentation

## size

unsigned int Eina_Debug_Packet_Header::size

Packet size including this element.

During sending, it corresponds to the id of the destination. During reception, it is the id of the source The daemon is in charge of swapping the id before forwarding the packet to the destination.

Referenced by eina_debug_dispatch(), and eina_debug_session_send().